/*
 * ComptableInventaireRechercherNibnb.java
 *
 * Created on 31 octobre 2008, 10:43
 */

package org.cocktail.corossol.client.nib;

import org.cocktail.application.palette.JPanelCocktail;

public class ComptableInventaireRechercherNib extends JPanelCocktail{
    
    /** Creates new form ComptableInventaireRechercherNibnb */
    public ComptableInventaireRechercherNib() {
        initComponents();
    }
    
    public org.cocktail.application.palette.JTableViewCocktail getInventairesTBV() {
		return inventairesTBV;
	}

	public void setInventairesTBV(
			org.cocktail.application.palette.JTableViewCocktail inventairesTBV) {
		this.inventairesTBV = inventairesTBV;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonAnnuler() {
		return jButtonAnnuler;
	}

	public void setJButtonAnnuler(
			org.cocktail.application.palette.JButtonCocktail buttonAnnuler) {
		jButtonAnnuler = buttonAnnuler;
	}

	public org.cocktail.application.palette.JButtonCocktail getJButtonCocktailSelectionner() {
		return jButtonCocktailSelectionner;
	}

	public void setJButtonCocktailSelectionner(
			org.cocktail.application.palette.JButtonCocktail buttonCocktailSelectionner) {
		jButtonCocktailSelectionner = buttonCocktailSelectionner;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jButtonCocktailSelectionner = new org.cocktail.application.palette.JButtonCocktail();
        inventairesTBV = new org.cocktail.application.palette.JTableViewCocktail();

        jButtonAnnuler.setText("Annuler");

        jButtonCocktailSelectionner.setText("Selectionner");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jButtonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 141, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(jButtonCocktailSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 141, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18))
                    .add(layout.createSequentialGroup()
                        .add(inventairesTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 450, Short.MAX_VALUE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(inventairesTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 199, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButtonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailSelectionner, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.application.palette.JTableViewCocktail inventairesTBV;
    public org.cocktail.application.palette.JButtonCocktail jButtonAnnuler;
    public org.cocktail.application.palette.JButtonCocktail jButtonCocktailSelectionner;
    // End of variables declaration//GEN-END:variables
    
}
